<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>fwDIP: fwDIPExport.ctl File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">fwDIP
   &#160;<span id="projectnumber">8.5.2</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('fwDIPExport_8ctl.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">fwDIPExport.ctl File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:afeadaaeab64dcac6871045296f506656"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwDIPExport_8ctl.html#afeadaaeab64dcac6871045296f506656">fwDIPExport_makeLogFileName</a> ()</td></tr>
<tr class="separator:afeadaaeab64dcac6871045296f506656"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2a037f1e7011d591ab4539e57d971017"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwDIPExport_8ctl.html#a2a037f1e7011d591ab4539e57d971017">fwDIPExport_saveDIPConfigInFile</a> (string sDIPConfig, string sFile, bool bUseAlias, dyn_string &amp;exceptionInfo, string sLogFile)</td></tr>
<tr class="separator:a2a037f1e7011d591ab4539e57d971017"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afffc5410edec4ee9ef84c51dfd643efb"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwDIPExport_8ctl.html#afffc5410edec4ee9ef84c51dfd643efb">fwDIPExport_saveInXML</a> (file fFile, string sXMLFile, mapping mDIPConfig, mapping mDIPPublication, mapping mDIPSubscription, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:afffc5410edec4ee9ef84c51dfd643efb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7c202498524840d67271505656b6483b"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwDIPExport_8ctl.html#a7c202498524840d67271505656b6483b">_fwDIPExport_convertType</a> (int iDPEType)</td></tr>
<tr class="separator:a7c202498524840d67271505656b6483b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad5eec97ee234529dc97954abe09a7d12"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwDIPExport_8ctl.html#ad5eec97ee234529dc97954abe09a7d12">_fwDIPExport_getManagerDNSParameters</a> (int iManagerType, string sManager, int iManagerNumber, string &amp;sDns, string &amp;sParameters)</td></tr>
<tr class="separator:ad5eec97ee234529dc97954abe09a7d12"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This library contains utility functions for the export of fwDIP config.</p>
<dl class="section user"><dt>Creation Date</dt><dd>19/12/2002</dd></dl>
<dl class="section user"><dt>Modification History</dt><dd>09/04/2015: Herve ENS-11382: DIP Import blocks HMI</dd></dl>
<p>27/08/2013: Herve Milcent DIP-120 - DIP and fwDipImport, accept "single" keyword in the import file and use "single" in the export instead of "simple"</p>
<p>27/08/2013: Herve Milcent ENS-8248</p>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="section author"><dt>Author</dt><dd>Herve Milcent </dd></dl>
</div><h2 class="groupheader">Function Documentation</h2>
<a id="afeadaaeab64dcac6871045296f506656"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afeadaaeab64dcac6871045296f506656">&#9670;&nbsp;</a></span>fwDIPExport_makeLogFileName()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">string fwDIPExport_makeLogFileName </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>returns the file name to be use for log file</p>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="section return"><dt>Returns</dt><dd>the file name is returned </dd></dl>

</div>
</div>
<a id="a2a037f1e7011d591ab4539e57d971017"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2a037f1e7011d591ab4539e57d971017">&#9670;&nbsp;</a></span>fwDIPExport_saveDIPConfigInFile()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwDIPExport_saveDIPConfigInFile </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>sDIPConfig</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>sFile</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>bUseAlias</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>sLogFile</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Save the DIP config in a file</p>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">sDIPConfig</td><td>input, the DIP config DP name </td></tr>
    <tr><td class="paramname">sFile</td><td>input, the file to dump the DIP config into </td></tr>
    <tr><td class="paramname">bUseAlias</td><td>input, true=use the alias/false=use DP name </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>details of any exceptions are returned here </td></tr>
    <tr><td class="paramname">sLogFile</td><td>input, the log file name </td></tr>
  </table>
  </dd>
</dl>
<p>the publication are kept in a mapping variable:</p><ul>
<li>key = DIP publication name</li>
<li>value = list of DPE and its parameter associated to the DIP publication name</li>
</ul>
<p>One can have more than one DPE per publication.</p>
<p>the subscription are kept in a mapping variable:</p><ul>
<li>key = DIP subscription name</li>
<li>value = list of DPE and its parameter associated to the DIP subscription name</li>
</ul>
<p>One can have more than one DPE per subscription, however in the current implementation, one has only one DPE per subscription, because the complex subscription are not supported (ENS-8248).</p>

</div>
</div>
<a id="afffc5410edec4ee9ef84c51dfd643efb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afffc5410edec4ee9ef84c51dfd643efb">&#9670;&nbsp;</a></span>fwDIPExport_saveInXML()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwDIPExport_saveInXML </td>
          <td>(</td>
          <td class="paramtype">file&#160;</td>
          <td class="paramname"><em>fFile</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>sXMLFile</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">mapping&#160;</td>
          <td class="paramname"><em>mDIPConfig</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">mapping&#160;</td>
          <td class="paramname"><em>mDIPPublication</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">mapping&#160;</td>
          <td class="paramname"><em>mDIPSubscription</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Save the DIP config in a XML file</p>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">fFile</td><td>input, the log file name id </td></tr>
    <tr><td class="paramname">sXMLFile</td><td>input, the file to dump the DIP config into </td></tr>
    <tr><td class="paramname">mDIPConfig</td><td>input, the DIPConfig data </td></tr>
    <tr><td class="paramname">mDIPPublication</td><td>input, the list of publication </td></tr>
    <tr><td class="paramname">mDIPSubscription</td><td>input, the list of subscription </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>details of any exceptions are returned here </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a7c202498524840d67271505656b6483b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7c202498524840d67271505656b6483b">&#9670;&nbsp;</a></span>_fwDIPExport_convertType()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">string _fwDIPExport_convertType </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>iDPEType</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Convert the DPE type to xml DIP type</p>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Internal</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">iDPEType</td><td>input, the type of DPE </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>the converted type </dd></dl>

</div>
</div>
<a id="ad5eec97ee234529dc97954abe09a7d12"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad5eec97ee234529dc97954abe09a7d12">&#9670;&nbsp;</a></span>_fwDIPExport_getManagerDNSParameters()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">_fwDIPExport_getManagerDNSParameters </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>iManagerType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>sManager</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>iManagerNumber</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string &amp;&#160;</td>
          <td class="paramname"><em>sDns</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string &amp;&#160;</td>
          <td class="paramname"><em>sParameters</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Get the manager DNS and parameters</p>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Internal</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">iManagerType</td><td>input, the type of manager: DRIVER_MAN, API_MAN </td></tr>
    <tr><td class="paramname">sManager</td><td>input, the manager name </td></tr>
    <tr><td class="paramname">iManagerNumber</td><td>input, the manager number </td></tr>
    <tr><td class="paramname">sDns</td><td>output, the dns used </td></tr>
    <tr><td class="paramname">sParameters</td><td>output, the extra parameters </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="fwDIPExport_8ctl.html">fwDIPExport.ctl</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
